<template>
    <div
        v-if="message.type == MessageType.SYSTEM"
        class="row justify-center q-my-xs"
    >
        <div class="bubble-system" v-html="text"></div>
    </div>

    <!-- Avatar | checkbox | favorite button | date and time -->
    <message-bubble
        :loading="loading"
        :message="message"
        :conversation="conversation"
        :searchResult="searchResult"
    />
</template>

<script lang="ts">
import { Conversation } from 'src/services/models/Conversation';
import { Message } from 'src/services/models/Message';
import { defineComponent } from 'vue';
import MessageBubble from '../../components/chats/MessageBubble.vue';
import { MessageType } from 'src/services/enums/MessageType';
import MessageController from '../../controller/MessageController';

export default defineComponent({
    name: 'MessageListItem',
    components: {
        MessageBubble
    },
    props: {
        conversation: {
            type: Object as () => Conversation,
            required: true
        },
        message: {
            type: Object as () => Message,
            required: true
        },
        previousMessage: {
            type: Object as () => Message
        },
        loading: {
            type: Boolean
        },
        searchResult: {
            type: Boolean,
            default: false
        }
    },
    setup(props) {
        const { text } = MessageController(props.message);
        return { MessageType, text };
    }
});
</script>
